// Filter.h: interface for the CFilter class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILTER_H__37E4F0B7_03F7_48A1_9BD6_ECC19A6C0D77__INCLUDED_)
#define AFX_FILTER_H__37E4F0B7_03F7_48A1_9BD6_ECC19A6C0D77__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <Dapfor/GUI/IGridFilter.h>

class CFilter : public Dapfor::GUI::IGridFilter
{
public:
	CFilter(bool autoDelete);
	virtual ~CFilter();


	virtual bool operator () (const Dapfor::GUI::CGrid& grid, const Dapfor::GUI::HITEM  item, const Dapfor::Common::CDataObject* pDO);

    virtual bool AutoDelete() const;


	void ShowFixedContent(bool show);
	bool CanShowFixedContent() const;


private:
	bool m_ShowFixedContent;
	bool m_AutoDelete;

};

#endif // !defined(AFX_FILTER_H__37E4F0B7_03F7_48A1_9BD6_ECC19A6C0D77__INCLUDED_)
