#pragma once

#include "Types.h"
#include <Dapfor/Common/Job.h>

using namespace Dapfor;

class CMainFrame;

class CAddItemsFromNonGUIThreadJob : public Common::CJob
{
public:
    CAddItemsFromNonGUIThreadJob(CMainFrame& mainFrame, UINT count, Location location);

    // Adds new items to the grid from the non-GUI thread
    virtual void ProcessJob(Common::CAutomat* automat); 

public:
    CMainFrame& m_MainFrame;
    UINT        m_Count;
    Location    m_Location;

};
