#include "StdAfx.h"
#include "TestObject.h"
    
//Declaration of table that permits to call a class function, and to format the returned value 
//to the TString form
DF_BEGIN_FIELD_MAP(CTestObject)
    DF_STL_STRING_ID(FidName, _T("Name"),       &CTestObject::GetName,      0, 0)
    DF_LONG_ID(Fid1,          _T("Value 1"),    &CTestObject::GetValue1,    0, 0)
    DF_LONG_ID(Fid2,          _T("Value 2"),    &CTestObject::GetValue2,    0, 0)
    DF_LONG_ID(Fid3,          _T("Value 3"),    &CTestObject::GetValue3,    0, 0)
    DF_LONG_ID(Fid4,          _T("Value 4"),    &CTestObject::GetValue4,    0, 0)
    DF_LONG_ID(Fid5,          _T("Value 5"),    &CTestObject::GetValue5,    0, 0)
    DF_LONG_ID(Fid6,          _T("Value 6"),    &CTestObject::GetValue6,    0, 0)
    DF_LONG_ID(Fid7,          _T("Value 7"),    &CTestObject::GetValue7,    0, 0)
    DF_LONG_ID(Fid8,          _T("Value 8"),    &CTestObject::GetValue8,    0, 0)
    DF_LONG_ID(Fid9,          _T("Value 9"),    &CTestObject::GetValue9,    0, 0)
    DF_LONG_ID(Fid10,         _T("Value 10"),   &CTestObject::GetValue10,   0, 0)
DF_END_FIELD_MAP()


CTestObject::CTestObject(const TString& name)
    : m_Name(name)
    , m_Value1(rand()*rand())
    , m_Value2(rand()*rand())
    , m_Value3(rand()*rand())
    , m_Value4(rand()*rand())
    , m_Value5(rand()*rand())
    , m_Value6(rand()*rand())
    , m_Value7(rand()*rand())
    , m_Value8(rand()*rand())
    , m_Value9(rand()*rand())
    , m_Value10(rand()*rand())
{
}

void CTestObject::EvaluateRandomField()
{
    Common::FID fid = Fid1 + rand() % (Fid10 - Fid1 + 1);
    switch(fid)
    {
        case Fid1: m_Value1 = rand()*rand(); NotifyUpdate(fid); break;
        case Fid2: m_Value2 = rand()*rand(); NotifyUpdate(fid); break;
        case Fid3: m_Value3 = rand()*rand(); NotifyUpdate(fid); break;
        case Fid4: m_Value4 = rand()*rand(); NotifyUpdate(fid); break;
        case Fid5: m_Value5 = rand()*rand(); NotifyUpdate(fid); break;
        case Fid6: m_Value6 = rand()*rand(); NotifyUpdate(fid); break;
        case Fid7: m_Value7 = rand()*rand(); NotifyUpdate(fid); break;
        case Fid8: m_Value8 = rand()*rand(); NotifyUpdate(fid); break;
        case Fid9: m_Value9 = rand()*rand(); NotifyUpdate(fid); break;
        case Fid10: m_Value10 = rand()*rand(); NotifyUpdate(fid); break;
    
    }
}

TString CTestObject::GetName() const
{
    return m_Name;
}
long CTestObject::GetValue1() const
{
    return m_Value1;
}
long CTestObject::GetValue2() const
{
    return m_Value2;
}
long CTestObject::GetValue3() const
{
    return m_Value3;
}
long CTestObject::GetValue4() const
{
    return m_Value4;
}
long CTestObject::GetValue5() const
{
    return m_Value5;
}
long CTestObject::GetValue6() const
{
    return m_Value6;
}
long CTestObject::GetValue7() const
{
    return m_Value7;
}
long CTestObject::GetValue8() const
{
    return m_Value8;
}
long CTestObject::GetValue9() const
{
    return m_Value9;
}
long CTestObject::GetValue10() const
{
    return m_Value10;
}
