// ProductManager.h: interface for the CProductManager class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PRODUCTMANAGER_H__447CDF3F_F8E2_4135_B6A9_988450779C6E__INCLUDED_)
#define AFX_PRODUCTMANAGER_H__447CDF3F_F8E2_4135_B6A9_988450779C6E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <Dapfor/Common/Format.h>

class CProductManager 
{
public:
    enum Product
    {
        USBHub,
        Webcam,
        Microphone,
        BlurayDrive,
        CdRom,
        Modem,
    };

public:
    CProductManager();
    virtual ~CProductManager();

    //The function returns the product's price
    static double GetUnitPrice(Product product);


    //This format will be used to show the 'Product' enumeration in the grid. Note, that in the application 
    //you do not use the strings like "USB Hub".
    static Dapfor::Common::CFormat& GetProductFormat();
};

#endif // !defined(AFX_PRODUCTMANAGER_H__447CDF3F_F8E2_4135_B6A9_988450779C6E__INCLUDED_)
