#pragma once

#include <xstring>

#ifdef _UNICODE 
    typedef std::wstring TString;   //!< wide STL string
#else 
    typedef std::string TString;    //!< STL string
#endif

//Position in the grid
enum Location
{
    Head,
    Tail,
    Random,
};

//Thread type
enum Thread
{
    GUIThread,
    NonGUIThread,
};

//List of possible actions
enum LogActionType
{
    AddItem,
    RemoveItem,
    UpdateItem,
    ChangeSettings,
};
