// HierarchicalExplorerDoc.h : interface of the CHierarchicalExplorerDoc class
//
/////////////////////////////////////////////////////////////////////////////


#pragma once

#include "FileManager.h"

class CHierarchicalExplorerDoc : public CDocument
{
protected: // create from serialization only
    CHierarchicalExplorerDoc();
    virtual ~CHierarchicalExplorerDoc();

public:
    CFileManager& GetFileManager();

protected:
    //{{AFX_VIRTUAL(CHierarchicalExplorerDoc)
    virtual BOOL OnNewDocument();
    virtual void Serialize(CArchive& ar);
    virtual void OnCloseDocument();
    //}}AFX_VIRTUAL

    //{{AFX_MSG(CHierarchicalExplorerDoc)
    afx_msg void OnClose();
    //}}AFX_MSG

protected:
    CFileManager m_FileManager;

    DECLARE_DYNCREATE(CHierarchicalExplorerDoc)
    DECLARE_MESSAGE_MAP()
};

